# SPDX-FileCopyrightText: Emery Hemingway
#
# SPDX-License-Identifier: LicenseRef-Hippocratic-1.1

let dhallPinned = import ./dhallPinnedNixpkgs.nix; in

{ genodepkgs ? ./default.nix
, nixpkgs ? import ./nixpkgs.nix
, dhall-haskell ? <dhall-haskell>
, dhallNixpkgs ? dhallPinned.nixpkgs
, dhallNixpkgsStaticLinux ? dhallPinned.nixpkgsStaticLinux
}:

let
  pkgs = import genodepkgs { inherit nixpkgs; };
  dhall-haskell' = import (dhall-haskell + "/release.nix") {
    nixpkgs = dhallNixpkgs;
    nixpkgsStaticLinux = dhallNixpkgsStaticLinux;
  };
in {
  build.x86_64 = {
    inherit (pkgs) nova stdenv solo5;
    genode = removeAttrs pkgs.genode [ "override" "overrideDerivation" ];
  };

  tests = import ./tests {
    inherit nixpkgs;
    genodepkgs = pkgs;
    dhall-haskell = dhall-haskell';
  };
}
