{ pkgs, lib }:
with pkgs;

rec {
  name = "libc";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig =  lib.renderDhallInit ./libc.dhall "{=}";

  testScript = ''
    global qemu_mem
    collect_modules ${depot.libc}/lib/*
    collect_modules ${depot.posix}/lib/*
    collect_modules ${depot.test-libc}/bin/*
    collect_modules ${depot.vfs}/lib/*

    set qemu_mem 384
    run_genode_until "child .* exited with exit value 0.*\n" 30
  '';
}
