{ pkgs, lib }:
with pkgs;

rec {
  name = "solo5";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = lib.renderDhallInit ./solo5-ping.dhall "{=}";

  testScript = ''
    collect_modules ${solo5.tests}/bin/solo5-test_net
    collect_modules ${solo5}/lib/solo5-bindings-genode/solo5.lib.so
    collect_modules ${genode.os}/bin/nic_loopback
    collect_modules ${genode.os}/bin/nic_bridge
    collect_modules ${genode.os}/bin/ping

    run_genode_until {child "ping" exited with exit value 0} 30
  '';
}
