{ pkgs, lib }:
with pkgs;

rec {
  name = "solo5";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = lib.renderDhallInit ./solo5.dhall "{=}";

  testScript = ''
    collect_modules ${solo5.tests}/bin/*
    collect_modules ${solo5}/lib/solo5-bindings-genode/solo5.lib.so
    collect_modules ${genode.os}/bin/nic_loopback
    collect_modules ${genode.os}/bin/ram_block
    collect_modules ${genode.os}/bin/sequence

    run_genode_until "Error: stack protector check failed" 30
  '';
}
